from django.conf.urls import url
from django.urls import include
from django.urls import path
from django.urls import re_path
from drf_yasg import openapi
from drf_yasg.views import get_schema_view
from rest_framework import permissions
from rest_framework import routers

from service import views

router = routers.DefaultRouter()
router.register('', views.PlacementPointViewSet)

schema_view = get_schema_view(
    openapi.Info(
        title='Snippets API',
        default_version='v1',
        description='Test description',
        terms_of_service='https://www.google.com/policies/terms/',
        contact=openapi.Contact(email='contact@snippets.local'),
        license=openapi.License(name='BSD License'),
    ),
    url='https://postamates.spatiality.website/',
    public=True,
    permission_classes=[permissions.AllowAny],
)

urlpatterns = [
    path('placement_points/', include([*router.urls]), name='placement_points'),
    path('ao_rayons', views.AOViewSet.as_view({'get': 'list'}), name='ao_and_rayons'),
    url(r'load_csv/', views.refresh_placement_points.as_view(), name='upload_placement_points'),
    url(r'upload_ao_and_rayons/', views.load_ao_and_rayons.as_view(), name='upload_ao_and_rayons'),
    re_path(r'^swagger(?P<format>\.json|\.yaml)$', schema_view.without_ui(cache_timeout=0), name='schema-json'),
    re_path(r'^swagger/$', schema_view.with_ui('swagger', cache_timeout=0), name='schema-swagger-ui'),
    #  re_path(r'^redoc/$', schema_view.with_ui('redoc', cache_timeout=0), name='schema-redoc'),
]
USE_X_FORWARDED_HOST = True
SECURE_PROXY_SSL_HEADER = ('HTTP_X_FORWARDED_PROTO', 'https')
